Package org.w3._2000._09.xmldsig

# Class SignatureMethod

java.lang.Object
org.w3._2000._09.xmldsig.SignatureMethod

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class SignatureMethod extends Object implements Serializable

Java class for SignatureMethodType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SignatureMethodType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="HMACOutputLength" type="{http://www.w3.org/2000/09/xmldsig#}HMACOutputLengthType" minOccurs="0"/>
             <any namespace='##other' maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="Algorithm" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SignatureMethod()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAlgorithm()`
  Gets the value of the algorithm property.
  `List<Object>`
  `getContent()`
  Gets the value of the content property.
  `void`
  `setAlgorithm(String value)`
  Sets the value of the algorithm property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SignatureMethod

    public SignatureMethod()

- ## Method Details

  - ### getContent

    public List<Object> getContent()
    Gets the value of the content property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

    For example, to add a new item, do as follows:

         getContent().add(newItem);

    Objects of the following type(s) are allowed in the list `JAXBElement``<``BigInteger``>` `Object` `String`

    Returns:
      The value of the content property.

  - ### getAlgorithm

    public String getAlgorithm()
    Gets the value of the algorithm property.
    Returns:
      possible object is `String`

  - ### setAlgorithm

    public void setAlgorithm(String value)
    Sets the value of the algorithm property.
    Parameters:
      `value` - allowed object is `String`